package com.fri.http.framework.resources;

import com.fri.http.framework.config.YXDefaultServerConfig;
import com.fri.http.framework.logging.YXLogging;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import java.util.logging.Logger;


/**
 * Created by lixiaoyang on 4/27/17.
 * 版本
 * v1.0/auth_app
 * v1.0/authen_req
 */
@Path("v2.0")
public class CTIDHTTPRestResources {

    private Logger logger = YXLogging.getLogger(YXDefaultServerConfig.LOGGING_NAME_REQUEST_SERVER);

    @POST
    @Path("authen_req")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    /**
     * 接收带有 JSON Body 的POST请求，非Form模式
     */
    public String postRandomBody(String jsonStr) throws Exception {
        logger.info(jsonStr);
        return "身份认证申请v2.0的响应json字符串";
    }


    @POST
    @Path("auth_app")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    /**
     * 接收带有 JSON Body 的POST请求，非Form模式
     */
    public String postIdentityBody(String jsonStr) throws Exception {
        logger.info(jsonStr);
        return "身份认证结果v2.0的响应json字符串";
    }




}