package com.fri.http.legalchapter.rzfw.data;

import com.fri.http.legalchapter.rzfw.utils.FormatBytesUtil;

import java.util.Arrays;


public class PreAuthData {
	// 客户号 8字节
	private byte[] customerId;
	// 终端号 2字节
	private byte[] terminalId;
	// 时间戳 4字节
	private byte[] timestamp;
	// 读卡控件版本 4字节
	private byte[] readCardControlsVersion;
	// 人像控件版本 4字节
	private byte[] pictureControlsVersion;
	// 证书序列号 32字节
	private byte[] certificateNumber;

	public PreAuthData(byte[] customerId, byte[] terminalId, byte[] timestamp, byte[] readCardControlsVersion,
					   byte[] pictureControlsVersion, byte[] certificateNumber) {
		super();
		this.customerId = customerId;
		this.terminalId = terminalId;
		this.timestamp = timestamp;
		this.readCardControlsVersion = readCardControlsVersion;
		this.pictureControlsVersion = pictureControlsVersion;
		this.certificateNumber = certificateNumber;
	}

	public byte[] getPreAuthData() {
		byte[] data = FormatBytesUtil.concatAll(customerId, terminalId, timestamp, readCardControlsVersion,
				pictureControlsVersion, certificateNumber);
		return data;
	}
}
