package com.fri.http.legalchapter.rzfw.net;

import com.fri.http.legalchapter.rzfw.utils.Constans;

import java.io.IOException;
import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.SocketException;


public class SocketSender {

	public static byte[] sendSocketPackage(byte[] socketPackage) {
		DatagramPacket sendPacket = new DatagramPacket(socketPackage, socketPackage.length, Constans.ia, Constans.port);
		DatagramPacket receivePacket = new DatagramPacket(new byte[300], 300);
		try (DatagramSocket udpClient = new DatagramSocket()) {
			udpClient.send(sendPacket);
			udpClient.setSoTimeout(10000);
			udpClient.receive(receivePacket);
			return receivePacket.getData();
		} catch (SocketException e) {
			System.out.println("udpClient创建失败");
			e.printStackTrace();
		} catch (IOException e) {
			System.out.println("send/receive调用失败");
			e.printStackTrace();
		}
		return null;
	}

}
